# $Revision: 1.10 $, $Date: 2002/09/02 13:32:28 $
Summary:	Netscape Portable Runtime (NSPR)
Summary(pl):	Przenone biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.2
Release:	2
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.mozilla.org/pub/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-alpha.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl
Biblioteki z wieloplatformow implementacj usug z Netscape.

%package devel
Summary:	NSPR library header files for development
Summary(pl):	Pliki nagwkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl
Pliki nagwkowe bibliotek NSPR z Netscape.

%package static
Summary:	Static NSPR library
Summary(pl):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static NSPR library.

%description static -l pl
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch -p1

%build
cd mozilla/nsprpub
%{__autoconf}
%configure \
	--with-dist-prefix=$RPM_BUILD_ROOT%{_prefix} \
	--with-mozilla \
	--enable-optimize="%{rpmcflags}" \
	--disable-debug \
	--enable-strip \
	--with-pthreads \
	--enable-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_aclocaldir}

cd mozilla/nsprpub
%{__make} install \
	NSDISTMODE=copy

install config/%{name}.m4 $RPM_BUILD_ROOT%{_aclocaldir}
install config/%{name}-config $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nspr.spec,v $
Revision 1.10  2002/09/02 13:32:28  qboosh
- fixed build on alpha, release 2

Revision 1.9  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/20 22:01:03  qboosh
- merged DEVEL to HEAD - mozilla rc2 builds and works

Revision 1.7.2.1  2002/05/16 20:01:49  qboosh
- updated to 4.2 (ABI-compatible with 4.1.2, need to check API)

Revision 1.7  2002/04/07 10:07:18  misiek
- update to nspr from mozilla 0.9.9

Revision 1.6  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/18 10:34:06  kloczek
- cosmetics.

Revision 1.2  2001/12/17 17:23:31  michuz
- release 2
- switch to ac (patch)

Revision 1.1  2001/12/12 16:07:02  michuz
- initial release (based on nspr-pthreads.spec)
